org.codehaus.groovy.runtime.callsite

## Class StaticMetaClassSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.StaticMetaClassSite

All Implemented Interfaces:
  CallSite

    public class StaticMetaClassSite
    extends MetaClassSite

Call site for invoking static methods meta class - cached method - not cached

Author:
  Alex Tkachman

### Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

`metaClass`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name, usage`

### Constructor Summary

Constructors
Constructor and Description
`StaticMetaClassSite(CallSite site, MetaClass metaClass)`

### Method Summary

Methods
`Object` `call(Object receiver, Object[] args)`
`Object` `callStatic(Class receiver, Object[] args)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticMetaClassSite

    public StaticMetaClassSite(CallSite site,
                       MetaClass metaClass)

### Method Detail

#### call

    public final Object call(Object receiver,
              Object[] args)
                      throws Throwable

Specified by:
  `call` in interface `CallSite`
Overrides:
  `call` in class `AbstractCallSite`
Throws:
  `Throwable`

#### callStatic

    public final Object callStatic(Class receiver,
                    Object[] args)
                            throws Throwable

Specified by:
  `callStatic` in interface `CallSite`
Overrides:
  `callStatic` in class `AbstractCallSite`
Throws:
  `Throwable`